Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 80959 - Mutt segfault when changing to new mail folder
Summary: Mutt segfault when changing to new mail folder
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: mutt
Version: 9
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 79579 CambridgeTarget
TreeView+ depends on / blocked
 
Reported: 2003-01-02 20:35 UTC by Kevin Sonney
Modified: 2014-03-17 02:33 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-01-26 22:34:10 UTC


Attachments (Terms of Use)
Core dump from mutt inside a gnome-terminal session (deleted)
2003-01-02 20:35 UTC, Kevin Sonney
no flags Details
core dump from mutt inside a tty login (deleted)
2003-01-02 20:37 UTC, Kevin Sonney
no flags Details

Description Kevin Sonney 2003-01-02 20:35:04 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.7 (X11; Linux i686; U;) Gecko/20021216

Description of problem:
I have mutt configured to use all IMAPS folders on a remote server. Many of
these folders get mail auto-filed to them. When a new message is recieved, I
choose "g" to go to folder - the folder w/new mail is auto-selected (as
expected). When I press enter, mutt segfaults.

Version-Release number of selected component (if applicable): 1.4-6


How reproducible:
Always

Steps to Reproduce:
1. Configure mutt to use all remote imaps folders
2. configure mutt to check multiple folders for new mail
3. start mutt
4. recieve mail in different folder
5. press g then enter
6. see mutt segfault. segfault mutt, segfault.
    

Additional info:

When I first encountered this, it was *ALWAYS* inside a screen session. Since
the phoebe release, it's happening every time, regardless of session type. 

Core files will be attached from two seperate crashes, w/similar circumstances.

Comment 1 Kevin Sonney 2003-01-02 20:35:56 UTC
Created attachment 89065 [details]
Core dump from mutt inside a gnome-terminal session

Comment 2 Kevin Sonney 2003-01-02 20:37:11 UTC
Created attachment 89066 [details]
core dump from mutt inside a tty login

Comment 3 Bill Nottingham 2005-01-26 22:34:10 UTC
Closing out bugs on older, unsupported, releases. Please reopen if
problem persists on current releases.


Note You need to log in before you can comment on or make changes to this bug.